<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="55a4fab7-f452-4f80-b793-7791d84bf5f4" name="Default" comment="" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="TRACKING_ENABLED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="CoverageDataManager">
    <SUITE FILE_PATH="coverage/midiScripts$music_21.coverage" NAME="music_21 Coverage Results" MODIFIED="1571911773492" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$" />
    <SUITE FILE_PATH="coverage/midiScripts$midi_with_chords_converter.coverage" NAME="midi_with_chords_converter Coverage Results" MODIFIED="1572523394656" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$" />
    <SUITE FILE_PATH="coverage/midiScripts$midi_converter.coverage" NAME="midi_converter Coverage Results" MODIFIED="1572176963162" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$" />
    <SUITE FILE_PATH="coverage/midiScripts$midiToNNinput.coverage" NAME="midiToNNinput Coverage Results" MODIFIED="1572196543014" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$" />
    <SUITE FILE_PATH="coverage/midiScripts$midi_preprocesor.coverage" NAME="midi_preprocesor Coverage Results" MODIFIED="1572525599950" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$" />
    <SUITE FILE_PATH="coverage/midiScripts$music21.coverage" NAME="music21 Coverage Results" MODIFIED="1571401875483" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file leaf-file-name="midiToNNinput.py" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/midiToNNinput.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="1530">
              <caret line="93" column="26" selection-start-line="93" selection-start-column="26" selection-end-line="93" selection-end-column="26" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="midi_converter.py" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/midi_converter.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="1836">
              <caret line="111" column="40" selection-start-line="111" selection-start-column="40" selection-end-line="111" selection-end-column="40" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="midi_with_chords_converter.py" pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/midi_with_chords_converter.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="204">
              <caret line="48" column="48" selection-start-line="48" selection-start-column="48" selection-end-line="48" selection-end-column="48" />
              <folding>
                <element signature="e#0#11#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="midi_preprocesor.py" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/midi_preprocesor.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="459">
              <caret line="35" column="42" lean-forward="true" selection-start-line="34" selection-end-line="35" selection-end-column="42" />
              <folding>
                <element signature="e#0#11#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="base.py" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/../base.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="102">
              <caret line="6" lean-forward="true" selection-start-line="6" selection-end-line="6" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Python Script" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>get_pitch</find>
    </findStrings>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/musicData/abcToMidi.py" />
        <option value="$PROJECT_DIR$/abcToMidi.py" />
        <option value="$PROJECT_DIR$/mido.py" />
        <option value="$PROJECT_DIR$/music21.py" />
        <option value="$PROJECT_DIR$/midiToNNinput.py" />
        <option value="$PROJECT_DIR$/mido_lib.py" />
        <option value="$PROJECT_DIR$/data_prep_for_LSTM.py" />
        <option value="$PROJECT_DIR$/music_21.py" />
        <option value="$PROJECT_DIR$/midi_converter.py" />
        <option value="$PROJECT_DIR$/../base.py" />
        <option value="$PROJECT_DIR$/midi_preprocesor.py" />
        <option value="$PROJECT_DIR$/midi_with_chords_converter.py" />
        <option value="$PROJECT_DIR$/../preprocess.py" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="NodePackageJsonFileManager">
    <packageJsonPaths />
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="-15" />
    <option name="y" value="150" />
    <option name="width" value="1935" />
    <option name="height" value="1040" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="midiScripts" type="b2602c69:ProjectViewProjectNode" />
              <item name="midiScripts" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/.." />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="settings.editor.selected.configurable" value="com.jetbrains.python.configuration.PyActiveSdkModuleConfigurable" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Python.midi_preprocesor">
    <configuration name="midiToNNinput" type="PythonConfigurationType" factoryName="Python" temporary="true">
      <module name="midiScripts" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/midiToNNinput.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
    </configuration>
    <configuration name="midi_converter" type="PythonConfigurationType" factoryName="Python" temporary="true">
      <module name="midiScripts" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/midi_converter.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
    </configuration>
    <configuration name="midi_preprocesor" type="PythonConfigurationType" factoryName="Python" temporary="true">
      <module name="midiScripts" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/midi_preprocesor.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
    </configuration>
    <configuration name="midi_with_chords_converter" type="PythonConfigurationType" factoryName="Python" temporary="true">
      <module name="midiScripts" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/midi_with_chords_converter.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
    </configuration>
    <configuration name="music_21" type="PythonConfigurationType" factoryName="Python" temporary="true">
      <module name="midiScripts" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="SCRIPT_NAME" value="F:\ADELA\STUDIA\INZ\PROJEKT\music-interpolation\midiScripts\midi_converter.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
    </configuration>
    <list>
      <item itemvalue="Python.midiToNNinput" />
      <item itemvalue="Python.music_21" />
      <item itemvalue="Python.midi_with_chords_converter" />
      <item itemvalue="Python.midi_converter" />
      <item itemvalue="Python.midi_preprocesor" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="Python.midi_preprocesor" />
        <item itemvalue="Python.midi_with_chords_converter" />
        <item itemvalue="Python.midiToNNinput" />
        <item itemvalue="Python.midi_converter" />
        <item itemvalue="Python.music_21" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="55a4fab7-f452-4f80-b793-7791d84bf5f4" name="Default" comment="" />
      <created>1571094765983</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1571094765983</updated>
    </task>
    <servers />
  </component>
  <component name="ToolWindowManager">
    <frame x="-7" y="-7" width="1550" height="838" extended-state="6" />
    <layout>
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Event Log" order="7" side_tool="true" />
      <window_info anchor="bottom" id="Database Changes" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Version Control" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Python Console" order="7" weight="0.3903134" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.28917378" />
      <window_info anchor="bottom" id="Terminal" order="7" weight="0.32905984" />
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.13489933" />
      <window_info anchor="bottom" id="Docker" order="7" show_stripe_button="false" />
      <window_info anchor="right" id="Database" order="3" />
      <window_info anchor="right" id="SciView" order="3" weight="0.3295302" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Favorites" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.17378917" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Find" order="1" weight="0.32905984" />
      <window_info anchor="bottom" id="Concurrent Activities Diagram" order="8" weight="0.32905984" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <option name="time" value="5" />
    </breakpoint-manager>
    <watches-manager>
      <configuration name="PythonConfigurationType">
        <watch expression="arrayy2[0:20998] " />
      </configuration>
    </watches-manager>
  </component>
  <component name="debuggerHistoryManager">
    <expressions id="evaluateExpression">
      <expression>
        <expression-string>inputList</expression-string>
        <language-id>Python</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>np.array(inputList)</expression-string>
        <language-id>Python</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>np.array(inputList, dtype=np.int)</expression-string>
        <language-id>Python</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>np.array(song)</expression-string>
        <language-id>Python</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>np.array(song).shape</expression-string>
        <language-id>Python</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
    </expressions>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/midi_preprocesor.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="459">
          <caret line="35" column="42" lean-forward="true" selection-start-line="34" selection-end-line="35" selection-end-column="42" />
          <folding>
            <element signature="e#0#11#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../base.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="102">
          <caret line="6" lean-forward="true" selection-start-line="6" selection-end-line="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/midi_with_chords_converter.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="748">
          <caret line="48" column="48" selection-start-line="48" selection-start-column="48" selection-end-line="48" selection-end-column="48" />
          <folding>
            <element signature="e#0#11#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/midiToNNinput.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1530">
          <caret line="93" column="26" selection-start-line="93" selection-start-column="26" selection-end-line="93" selection-end-column="26" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/midi_converter.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1836">
          <caret line="111" column="40" lean-forward="true" selection-start-line="111" selection-start-column="40" selection-end-line="111" selection-end-column="40" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/midi_with_chords_converter.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="748">
          <caret line="48" column="48" selection-start-line="48" selection-start-column="48" selection-end-line="48" selection-end-column="48" />
          <folding>
            <element signature="e#0#11#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/midi_preprocesor.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="459">
          <caret line="35" column="42" lean-forward="true" selection-start-line="34" selection-end-line="35" selection-end-column="42" />
          <folding>
            <element signature="e#0#11#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../base.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="102">
          <caret line="6" lean-forward="true" selection-start-line="6" selection-end-line="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../preprocess.py" />
    <entry file="file://$PROJECT_DIR$/midiToNNinput.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1530">
          <caret line="92" column="27" selection-start-line="92" selection-start-column="27" selection-end-line="92" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/midi_converter.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2669">
          <caret line="161" lean-forward="true" selection-start-line="141" selection-start-column="8" selection-end-line="161" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/midi_with_chords_converter.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="697">
          <caret line="43" column="45" selection-start-line="43" selection-start-column="45" selection-end-line="43" selection-end-column="45" />
          <folding>
            <element signature="e#0#11#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/midiToNNinput.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1530">
          <caret line="92" column="27" selection-start-line="92" selection-start-column="27" selection-end-line="92" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/midi_converter.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3383">
          <caret line="203" column="76" selection-start-line="203" selection-start-column="76" selection-end-line="203" selection-end-column="76" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/midiToNNinput.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1530">
          <caret line="92" column="27" selection-start-line="92" selection-start-column="27" selection-end-line="92" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/midi_converter.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3417">
          <caret line="205" column="14" lean-forward="true" selection-start-line="205" selection-start-column="14" selection-end-line="205" selection-end-column="14" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/midiToNNinput.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1530">
          <caret line="92" column="27" selection-start-line="92" selection-start-column="27" selection-end-line="92" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mido_lib.py" />
    <entry file="file://$PROJECT_DIR$/midi_converter.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3893">
          <caret line="233" column="17" selection-start-line="233" selection-start-column="17" selection-end-line="233" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/midiToNNinput.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1530">
          <caret line="92" column="27" selection-start-line="92" selection-start-column="27" selection-end-line="92" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/midi_converter.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2295">
          <caret line="137" column="21" lean-forward="true" selection-start-line="137" selection-start-column="21" selection-end-line="137" selection-end-column="21" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/midiToNNinput.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1530">
          <caret line="92" column="27" lean-forward="true" selection-start-line="92" selection-start-column="27" selection-end-line="92" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/midi_converter.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1071">
          <caret line="65" column="29" selection-start-line="65" selection-start-column="29" selection-end-line="65" selection-end-column="29" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/midiToNNinput.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="68">
          <caret line="6" column="22" lean-forward="true" selection-start-line="6" selection-start-column="22" selection-end-line="6" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/midi_converter.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2057">
          <caret line="123" selection-start-line="123" selection-end-line="123" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/midiToNNinput.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="323">
          <caret line="21" column="5" lean-forward="true" selection-start-line="21" selection-start-column="5" selection-end-line="21" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/midi_converter.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="527">
          <caret line="33" column="20" selection-start-line="33" selection-start-column="20" selection-end-line="33" selection-end-column="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/midiToNNinput.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="153">
          <caret line="11" column="28" selection-start-line="11" selection-start-column="28" selection-end-line="11" selection-end-column="28" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/midi_converter.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="68">
          <caret line="4" column="27" lean-forward="true" selection-start-line="4" selection-start-column="27" selection-end-line="4" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/midiToNNinput.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1071">
          <caret line="65" column="34" lean-forward="true" selection-start-line="65" selection-start-column="34" selection-end-line="65" selection-end-column="34" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/Anaconda3/envs/magenta/Lib/site-packages/numpy/lib/function_base.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="79781">
          <caret line="4693" selection-start-line="4693" selection-end-line="4693" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/midi_converter.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="255">
          <caret line="17" column="40" lean-forward="true" selection-start-line="17" selection-start-column="40" selection-end-line="17" selection-end-column="40" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/midiToNNinput.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="68">
          <caret line="5" column="53" lean-forward="true" selection-start-line="5" selection-start-column="53" selection-end-line="5" selection-end-column="53" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/midiToNNinput.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="153">
          <caret line="10" column="43" selection-start-line="10" selection-start-column="43" selection-end-line="10" selection-end-column="43" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/musicData/abcToMidi.py" />
    <entry file="file://$PROJECT_DIR$/abcToMidi.py" />
    <entry file="file://$USER_HOME$/Anaconda3/envs/magenta/Lib/site-packages/numpy/lib/function_base.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="17">
          <caret line="4693" selection-start-line="4693" selection-end-line="4693" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/Anaconda3/envs/magenta/Lib/site-packages/magenta/music/midi_io.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="125">
          <caret line="193" selection-start-line="193" selection-end-line="193" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mido.py" />
    <entry file="file://$USER_HOME$/Anaconda3/envs/magenta/Lib/site-packages/pretty_midi/pretty_midi.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="181">
          <caret line="99" selection-start-line="99" selection-end-line="99" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mido_lib.py" />
    <entry file="file://$PROJECT_DIR$/data_prep_for_LSTM.py" />
    <entry file="file://$PROJECT_DIR$/midiToNNinput.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1530">
          <caret line="93" column="26" selection-start-line="93" selection-start-column="26" selection-end-line="93" selection-end-column="26" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/Anaconda3/envs/magenta/Lib/site-packages/music21/stream/__init__.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="403">
          <caret line="228" selection-start-line="228" selection-end-line="228" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/Anaconda3/envs/magenta/Lib/site-packages/music21/pitch.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="148">
          <caret line="1664" selection-start-line="1664" selection-end-line="1664" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/Anaconda3/envs/magenta/Lib/site-packages/music21/note.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="207">
          <caret line="1087" selection-start-line="1087" selection-end-line="1087" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../base.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="102">
          <caret line="6" lean-forward="true" selection-start-line="6" selection-end-line="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../preprocess.py" />
    <entry file="file://$PROJECT_DIR$/midi_converter.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1836">
          <caret line="111" column="40" selection-start-line="111" selection-start-column="40" selection-end-line="111" selection-end-column="40" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/midi_preprocesor.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="459">
          <caret line="35" column="42" lean-forward="true" selection-start-line="34" selection-end-line="35" selection-end-column="42" />
          <folding>
            <element signature="e#0#11#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/midi_with_chords_converter.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="204">
          <caret line="48" column="48" selection-start-line="48" selection-start-column="48" selection-end-line="48" selection-end-column="48" />
          <folding>
            <element signature="e#0#11#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>